---
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:      '&IDC_GetReferencedAttributeMethod;'
    inherits:  '&IDC_Method;'
    name:      GRA - Get Referenced Attribute Method
    index:     18
    customTagName: getReferencedAttributeMethod
    relationships:
    - instance: '&IDR_Method__for__Class;'
      customTagName: 'forClassId'
    - instance: '&IDR_Get_Referenced_Attribute_Method__returns__Attribute;'
      customTagName: 'returnsAttributeId'
    - instance: '&IDR_Get_Referenced_Attribute_Method__uses_reference__Executable_returning_Instance_Set;'
      customTagName: 'referenceInstanceSet'
    - instance: '&IDR_Get_Referenced_Attribute_Method__uses_answer__Executable_returning_Attribute;'
      customTagName: 'answerAttribute'

  - relationship: '&IDR_Get_Referenced_Attribute_Method__returns__Attribute;'
    index: 28
    sourceClassId: '&IDC_GetReferencedAttributeMethod;'
    type: 'returns'
    destinationClassId: '&IDC_Attribute;'
    siblingRelationshipId: '&IDR_Attribute__returned_by__Get_Referenced_Attribute_Method;'
    singular: yes

  - relationship: '&IDR_Attribute__returned_by__Get_Referenced_Attribute_Method;'
    index: 29
    sourceClassId: '&IDC_Attribute;'
    type: 'returned by'
    destinationClassId: '&IDC_GetReferencedAttributeMethod;'
    siblingRelationshipId: '&IDR_Get_Referenced_Attribute_Method__returns__Attribute;'
    singular: no

  - relationship: '&IDR_Get_Referenced_Attribute_Method__uses_reference__Executable_returning_Instance_Set;'
    index: 40
    sourceClassId: '&IDC_GetReferencedAttributeMethod;'
    type: 'uses reference'
    destinationClassId: '&IDC_ExecutableReturningInstanceSet;'
    siblingRelationshipId: '&IDR_Executable_returning_Instance_Set__reference_used_by__Get_Referenced_Attribute_Method;'
    singular: yes

  - relationship: '&IDR_Executable_returning_Instance_Set__reference_used_by__Get_Referenced_Attribute_Method;'
    index: 47
    sourceClassId: '&IDC_ExecutableReturningInstanceSet;'
    type: 'reference used by'
    destinationClassId: '&IDC_GetReferencedAttributeMethod;'
    siblingRelationshipId: '&IDR_Get_Referenced_Attribute_Method__uses_reference__Executable_returning_Instance_Set;'
    singular: no

  - relationship: '&IDR_Get_Referenced_Attribute_Method__uses_answer__Executable_returning_Attribute;'
    index: 41
    sourceClassId: '&IDC_GetReferencedAttributeMethod;'
    type: 'uses answer'
    destinationClassId: '&IDC_ExecutableReturningAttribute;'
    siblingRelationshipId: '&IDR_Executable_returning_Attribute__answer_used_by__Get_Referenced_Attribute_Method;'
    singular: yes

  - relationship: '&IDR_Executable_returning_Attribute__answer_used_by__Get_Referenced_Attribute_Method;'
    index: 48
    sourceClassId: '&IDC_ExecutableReturningAttribute;'
    type: 'answer used by'
    destinationClassId: '&IDC_GetReferencedAttributeMethod;'
    siblingRelationshipId: '&IDR_Get_Referenced_Attribute_Method__uses_answer__Executable_returning_Attribute;'
    singular: no
